View Issue Details

IDProjectCategoryView StatusLast Update
0003323unrealircdpublic2015-07-23 22:34
ReporterbairstowAssigned Tosyzop 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformOSWindowsOS VersionXP
Product Version3.2.7 
Target VersionFixed in Version3.2.8 
Summary0003323: Tracking of forbidden nicks/channels is inconsistant
DescriptionUsage of /stats Q returns all forbidden nicks, including those added using /msg nickserv forbid <nick> <reason>
However, /stats r only returns the channels that have been entered as forbidden in the Unreal.conf file. Channels can be forbidden using /msg chanserv forbid <channel> <reason> but those channels aren't returned using /stats r
Steps To Reproduce/debug @debug
/stats r
/msg chanserv forbid <channel> <reason>
/stats r
TagsNo tags attached.
3rd party modules

Activities

Stealth

2007-05-08 00:55

reporter   ~0014033

Unreal 3.2.x does not support Q:Lining channels, and will not.

When you use ChanServ FORBID, all it does is make ChanServ disallow usage of that channel. Your services also need to support Q:Lining channels, which services who support Unreal do not.

The ability to Q:Line channels will be in Unreal 3.3*

bairstow

2007-05-08 01:07

reporter   ~0014037

Thanks for the information. Guess I've got a bit of a wait.

stskeeps

2007-05-08 03:37

reporter   ~0014039

Q:lining channels.. deny channel/ban channel? :P

Stealth

2007-05-08 12:06

reporter   ~0014048

Q:Lining channels has already been added to 3.3, see 0003012

syzop

2015-07-23 22:34

administrator   ~0018555

Presumably fixed / not an issue. Didn't check.

Issue History

Date Modified Username Field Change
2007-05-07 22:34 bairstow New Issue
2007-05-08 00:55 Stealth Note Added: 0014033
2007-05-08 01:07 bairstow Note Added: 0014037
2007-05-08 03:37 stskeeps Note Added: 0014039
2007-05-08 03:37 stskeeps Status new => feedback
2007-05-08 12:06 Stealth Note Added: 0014048
2015-07-23 22:34 syzop Note Added: 0018555
2015-07-23 22:34 syzop Status feedback => closed
2015-07-23 22:34 syzop Assigned To => syzop
2015-07-23 22:34 syzop Resolution open => fixed
2015-07-23 22:34 syzop Fixed in Version => 3.2.8